Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.ide
Class RuntimeConfigurator

    java.lang.Object
      org.eclipse.amp.amf.ide.RuntimeConfigurator

All Implemented Interfaces:
  Configurator

Direct Known Subclasses:
  AscapeRuntimeConfigurator, ClassMainConfigurator

    public class RuntimeConfigurator

extends java.lang.Object
implements Configurator

Support for configurations intended to provide runtime launchers.

Author:
  milesparker

Field Summary
`static java.lang.String` | `ATTR_METAABM_FILE`
`static Configurator` | `METAABM_CONFIGURATOR`
`static Configurator` | `VM_CONFIG`

Constructor Summary
`RuntimeConfigurator()`

Method Summary
`void` | `configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config, org.eclipse.core.resources.IResource model)`
`void` | `configureForLaunch(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config, org.eclipse.core.resources.IResource model)` Configures the actual launch runtime.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METAABM_CONFIGURATOR

    public static final Configurator METAABM_CONFIGURATOR

### ATTR_METAABM_FILE

    public static final java.lang.String ATTR_METAABM_FILE

See Also:
  Constant Field Values

### VM_CONFIG

    public static final Configurator VM_CONFIG

Constructor Detail

### RuntimeConfigurator

    public RuntimeConfigurator()

Method Detail

### configure

    public void configure(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config,
                          org.eclipse.core.resources.IResource model)

  Specified by:
    `configure` in interface `Configurator`

### configureForLaunch

    public void configureForLaunch(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config,
                                   org.eclipse.core.resources.IResource model)

  Configures the actual launch runtime.

  Specified by:
    `configureForLaunch` in interface `Configurator`
  Parameters:
    `model` - may be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD